---
title: column-count
slug: Web/CSS/column-count
tags:
  - CSS
  - CSS Multi-column Layout
  - CSS Property
  - Layout
  - Reference
  - column-count
  - columns
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>column-count</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property breaks an element's content into the specified number of columns.</p>

<div>{{EmbedInteractiveExample("pages/css/column-count.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* Keyword value */
column-count: auto;

/* &lt;integer&gt; value */
column-count: 3;

/* Global values */
column-count: inherit;
column-count: initial;
column-count: unset;</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>auto</code></dt>
 <dd>The number of columns is determined by other CSS properties, such as {{cssxref("column-width")}}.</dd>
 <dt>{{cssxref("&lt;integer&gt;")}}</dt>
 <dd>Is a strictly positive {{cssxref("&lt;integer&gt;")}} describing the ideal number of columns into which the content of the element will be flowed. If the {{cssxref("column-width")}} is also set to a non-<code>auto</code> value, it merely indicates the maximum allowed number of columns.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>
<h2 id="Examples">Examples</h2>

<h3 id="Splitting_a_paragraph_across_three_columns">Splitting a paragraph across three columns</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;p class="content-box"&gt;
  This is a bunch of text split into three columns
  using the CSS `column-count` property. The text
  is equally distributed over the columns.
&lt;/p&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">.content-box {
  column-count: 3;
}
</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Splitting_a_paragraph_across_three_columns', 'auto', 120)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Multicol', '#cc', 'column-count')}}</td>
   <td>{{Spec2('CSS3 Multicol')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.column-count")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Learn/CSS/CSS_layout/Multiple-column_Layout">Multiple-column Layout</a> (Learn Layout)</li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Columns/Basic_Concepts_of_Multicol">Basic Concepts of Multicol</a></li>
</ul>
